Search found 2 matches

by messersm
Thu May 16, 2019 8:27 am
Forum: Support and Development
Topic: [SOLVED] require can't read files from LUA_PATH when installed via snap
Replies: 4
Views: 1164

Re: Löve, require and LUA_PATH

Got it: Thanks @pgimeno for the strace idea. It showed, that Löve actually can't read the file (Permission denied), even when running as root. This is due to the fact, that I installed Löve using snap and the Löve snap being very restrictive. The solution would be, to connect the Löve snap "system-f...
by messersm
Wed May 15, 2019 7:33 pm
Forum: Support and Development
Topic: [SOLVED] require can't read files from LUA_PATH when installed via snap
Replies: 4
Views: 1164

[SOLVED] require can't read files from LUA_PATH when installed via snap

Hi everyone, I hope, this question wasn't answered before - I couldn't find relevant information in the forums or the wiki. I'm new to Löve (using version 11.1) and are trying to load a library ("bump"), which I installed with luarocks (on Ubuntu 18.04). The luarocks path was added to ~/.profile, so...